%define distrib_name Mandrakelinux
%define group Books/Computer books
%define libdrakx %{_prefix}/lib/libDrakX

Name:		mandrake-doc-contrib
Summary:	%distrib_name documentation
Version:	10.2
Release:	3mdk
License:	%distrib_name documentation license
Group:		%group
Url:		http://mandrakelinux.com/en/doc/project/

Source0:	%name-%version.tar.bz2

Buildroot:	%_tmppath/%name-%version-%release-root
BuildArch:	noarch
BuildRequires: 	Borges-DocBook
BuildRequires:	docbook-dtd42-xml
BuildRequires:	tetex-cmsuper
BuildRequires:  locales-zh
BuildRequires:  locales-ru


%define LANGS zh_cn ru

%description
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the menus.


%package Drakxtools-Guide-zh_cn
Summary:        The %distrib_name manuals in Chinese
Group:          %group
Requires:       locales-zh
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-drakxtools-zh_cn
Provides:       mandrake_doc-drakxtools-zh_cn = %version
Obsoletes:      mandrake-doc-drakxtools-zh_cn
Provides:       mandrake-doc-drakxtools-zh_cn = %version

%description Drakxtools-Guide-zh_cn
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.

%package Command-Line-zh_cn
Summary:        The %distrib_name manuals in Chinese
Group:          %group
Requires:       locales-zh
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-zh_cn
Provides:       mandrake_doc-zh_cn = %version
Obsoletes:      mandrake-doc-zh_cn
Provides:       mandrake-doc-zh_cn = %version

%description Command-Line-zh_cn
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.

%package Starter-zh_cn
Summary:        The %distrib_name manuals in Chinese
Group:          %group
Requires:       locales-zh
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-zh_cn
Provides:       mandrake_doc-zh_cn = %version
Obsoletes:      mandrake-doc-zh_cn
Provides:       mandrake-doc-zh_cn = %version

%description Starter-zh_cn
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.

%package Command-Line-ru
Summary:        The %distrib_name manuals in Russian
Group:          %group
Requires:       locales-ru
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-ru
Provides:       mandrake_doc-ru = %version
Obsoletes:      mandrake-doc-ru
Provides:       mandrake-doc-ru = %version

%description Command-Line-ru
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.

%package Drakxtools-Guide-ru
Summary:        The %distrib_name manuals in Russian
Group:          %group
Requires:       locales-ru
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-drakxtools-ru
Provides:       mandrake_doc-drakxtools-ru = %version
Obsoletes:      mandrake-doc-drakxtools-ru
Provides:       mandrake-doc-drakxtools-ru = %version

%description Drakxtools-Guide-ru
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.

%package Quick-Startup-Plus-ru
Summary:        The %distrib_name manuals in Russian
Group:          %group
Requires:       locales-ru
Requires:       mandrake-doc-common = %version-%release
Obsoletes:      mandrake_doc-ru
Provides:       mandrake_doc-ru = %version
Obsoletes:      mandrake-doc-ru
Provides:       mandrake-doc-ru = %version

%description Quick-Startup-Plus-ru
This package contains some useful documentation for %distrib_name systems.
This documentation is directly accessible through the main menu.




%prep

%setup -q 

%build

./configure
make all MAX_TEX_RECURSION=10

%install
rm -fr %buildroot

install -d -m 0755 %buildroot/%_menudir


#install the books themselves and menu entries
DESTDIR=%buildroot/%{_docdir}

install -d -m 0755 $DESTDIR/mandrake


# build menu entry
cat > %buildroot/%_menudir/%name-Drakxtools-Guide-zh_cn <<EOF
?package(mandrake-doc-contrib-Drakxtools-Guide-zh_cn): \
command="%{_bindir}/www-browser %_docdir/mandrake/zh_cn/Drakxtools-Guide/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name DrakXTools User Manual in Chinese" \
longtitle="%distrib_name DrakXTools User Manual in Chinese" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/zh_cn/
install -d -m 0755 $DESTDIR/mandrake/zh_cn/Drakxtools-Guide/
mv Outputs/%name/zh_cn/Drakxtools-Guide.* $DESTDIR/mandrake/zh_cn/Drakxtools-Guide/

# build menu entry
cat > %buildroot/%_menudir/%name-Command-Line-zh_cn <<EOF
?package(mandrake-doc-contrib-Command-Line-zh_cn): \
command="%{_bindir}/www-browser %_docdir/mandrake/zh_cn/Command-Line/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name Reference Manual in Chinese" \
longtitle="%distrib_name Reference Manual in Chinese" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/zh_cn/
install -d -m 0755 $DESTDIR/mandrake/zh_cn/Command-Line/
mv Outputs/%name/zh_cn/Command-Line.* $DESTDIR/mandrake/zh_cn/Command-Line/

# build menu entry
cat > %buildroot/%_menudir/%name-Starter-zh_cn <<EOF
?package(mandrake-doc-contrib-Starter-zh_cn): \
command="%{_bindir}/www-browser %_docdir/mandrake/zh_cn/Starter/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name Starter Guide in Chinese" \
longtitle="%distrib_name Starter Guide in Chinese" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/zh_cn/
install -d -m 0755 $DESTDIR/mandrake/zh_cn/Starter/
mv Outputs/%name/zh_cn/Starter.* $DESTDIR/mandrake/zh_cn/Starter/

# build menu entry
cat > %buildroot/%_menudir/%name-Command-Line-ru <<EOF
?package(mandrake-doc-contrib-Command-Line-ru): \
command="%{_bindir}/www-browser %_docdir/mandrake/ru/Command-Line/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name Reference Manual in Russian" \
longtitle="%distrib_name Reference Manual in Russian" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/ru/
install -d -m 0755 $DESTDIR/mandrake/ru/Command-Line/
mv Outputs/%name/ru/Command-Line.* $DESTDIR/mandrake/ru/Command-Line/

# build menu entry
cat > %buildroot/%_menudir/%name-Drakxtools-Guide-ru <<EOF
?package(mandrake-doc-contrib-Drakxtools-Guide-ru): \
command="%{_bindir}/www-browser %_docdir/mandrake/ru/Drakxtools-Guide/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name DrakXTools User Manual in Russian" \
longtitle="%distrib_name DrakXTools User Manual in Russian" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/ru/
install -d -m 0755 $DESTDIR/mandrake/ru/Drakxtools-Guide/
mv Outputs/%name/ru/Drakxtools-Guide.* $DESTDIR/mandrake/ru/Drakxtools-Guide/

# build menu entry
cat > %buildroot/%_menudir/%name-Quick-Startup-Plus-ru <<EOF
?package(mandrake-doc-contrib-Quick-Startup-Plus-ru): \
command="%{_bindir}/www-browser %_docdir/mandrake/ru/Quick-Startup-Plus/index.html" \
icon="documentation_section.png" \
needs="x11" \
title="%distrib_name Starter Guide in Russian" \
longtitle="%distrib_name Starter Guide in Russian" \
section="Documentation"
EOF
# install manuals
install -d -m 0755 $DESTDIR/mandrake/ru/
install -d -m 0755 $DESTDIR/mandrake/ru/Quick-Startup-Plus/
mv Outputs/%name/ru/Quick-Startup-Plus.* $DESTDIR/mandrake/ru/Quick-Startup-Plus/



# build HTML index file
cat > $DESTDIR/mandrake/zh_cn/Drakxtools-Guide/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Drakxtools-Guide.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Drakxtools-Guide.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF
# build HTML index file
cat > $DESTDIR/mandrake/zh_cn/Command-Line/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Command-Line.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Command-Line.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF
# build HTML index file
cat > $DESTDIR/mandrake/zh_cn/Starter/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Starter.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Starter.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF
# build HTML index file
cat > $DESTDIR/mandrake/ru/Command-Line/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Command-Line.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Command-Line.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF
# build HTML index file
cat > $DESTDIR/mandrake/ru/Drakxtools-Guide/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Drakxtools-Guide.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Drakxtools-Guide.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF
# build HTML index file
cat > $DESTDIR/mandrake/ru/Quick-Startup-Plus/index.html <<EOF
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
</head>
<body>
<center>
<img src="../../images/MDKlinux.png" border="0">
<br/><br/>
<table style="width: 80%;" >
  <tbody>
    <tr>
      <a href="Quick-Startup-Plus.html/index.html">
      <img src="../../images/manuel-face.png" align="center" border="0">
       HTML</a>
    </tr>
    <tr>
      <a href="Quick-Startup-Plus.pdf">
      <img src="../../images/manuel-face.png" align="center" border="0"> 
      PDF</a>
      </tr>
    </tbody>
  </table>
</center>
</body>
</html>
EOF



%clean
rm -fr %buildroot


%post Drakxtools-Guide-zh_cn
%update_menus
%postun Drakxtools-Guide-zh_cn
%clean_menus

%post Command-Line-zh_cn
%update_menus
%postun Command-Line-zh_cn
%clean_menus

%post Starter-zh_cn
%update_menus
%postun Starter-zh_cn
%clean_menus

%post Command-Line-ru
%update_menus
%postun Command-Line-ru
%clean_menus

%post Drakxtools-Guide-ru
%update_menus
%postun Drakxtools-Guide-ru
%clean_menus

%post Quick-Startup-Plus-ru
%update_menus
%postun Quick-Startup-Plus-ru
%clean_menus




%files Drakxtools-Guide-zh_cn
%defattr(-,root,root)
%_menudir/%name-Drakxtools-Guide-zh_cn
%dir %_docdir/mandrake/zh_cn/Drakxtools-Guide
%doc %_docdir/mandrake/zh_cn/Drakxtools-Guide/*

%files Command-Line-zh_cn
%defattr(-,root,root)
%_menudir/%name-Command-Line-zh_cn
%dir %_docdir/mandrake/zh_cn/Command-Line
%doc %_docdir/mandrake/zh_cn/Command-Line/*

%files Starter-zh_cn
%defattr(-,root,root)
%_menudir/%name-Starter-zh_cn
%dir %_docdir/mandrake/zh_cn/Starter
%doc %_docdir/mandrake/zh_cn/Starter/*

%files Command-Line-ru
%defattr(-,root,root)
%_menudir/%name-Command-Line-ru
%dir %_docdir/mandrake/ru/Command-Line
%doc %_docdir/mandrake/ru/Command-Line/*

%files Drakxtools-Guide-ru
%defattr(-,root,root)
%_menudir/%name-Drakxtools-Guide-ru
%dir %_docdir/mandrake/ru/Drakxtools-Guide
%doc %_docdir/mandrake/ru/Drakxtools-Guide/*

%files Quick-Startup-Plus-ru
%defattr(-,root,root)
%_menudir/%name-Quick-Startup-Plus-ru
%dir %_docdir/mandrake/ru/Quick-Startup-Plus
%doc %_docdir/mandrake/ru/Quick-Startup-Plus/*



%changelog
* Mon May  2 2005 Camille Begnis <camille@mandrakesoft.com> 10.2-3mdk
- rebuild

* Thu Apr  7 2005 Camille Begnis <camille@mandrakesoft.com> 10.2-2mdk
- bugfixes

* Tue Apr  5 2005 Camille Begnis <camille@mandrakesoft.com> 10.2-1mdk
- update doc
- Add some CHinese manuals

* Mon Apr 04 2005 Camille Begnis <camille@mandrakesoft.com> 10.2-0.7mdk
- update doc
- add Starter and CLI Chinese

* Fri Apr  1 2005 Camille Begnis <camille@mandrakesoft.com> 10.2-0.6mdk
- update doc
- add PDF for DrakXtools guide

* Fri Apr  1 2005 Camille Begnis <camille@mandrakesoft.com> 10.2-0.5mdk
- update doc

* Thu Mar 31 2005 Camille Begnis <camille@mandrakesoft.com> 10.2-0.4mdk
- Add HTML index for each package

* Wed Mar 30 2005 Camille Begnis <camille@mandrakesoft.com> 10.2-0.3mdk
- increase MAX_TEX_RECURSION to get proper page references in PDF
- update doc

* Mon Mar 28 2005 Camille Begnis <camille@mandrakesoft.com> 10.2-0.2mdk
- fix obsoletes/provides

* Fri Mar 25 2005 Camille Begnis <camille@mandrakesoft.com> 10.2-0.1mdk
- 10.2 first drafts
- split all manuals in different packages
- use automatic spec generator










